;+
;   
;    This program is free software: you can redistribute it and/or modify
;    it under the terms of the GNU Lesser General Public License as published
;    by the Free Software Foundation, either version 3 of the License, or
;    (at your option) any later version.
;
;    This program is distributed in the hope that it will be useful,
;    but WITHOUT ANY WARRANTY; without even the implied warranty of
;    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
;    GNU Lesser General Public License for more details.
;
;    You should have received a copy of the GNU Lesser General Public License
;    along with this program.  If not, see <http://www.gnu.org/licenses/>.
;
;-

;+
; v.20131112a
;-

pro hw_alpha_debug,ev

  compile_opt idl2
  
  catch, theerror
  if theerror ne 0 then begin
    catch, /cancel
    void = dialog_message(!error_state.msg,/error,/center)
    return
  endif
    
  widget_control, ev.top, get_uvalue = info
  
  widget_control, info.omgpath_id, get_value=omgpath
  widget_control, info.qubpath_id, get_value=qubpath
  widget_control, info.navpath_id, get_value=navpath
  widget_control, info.savpath_id, get_value=savpath
  widget_control, info.options_id, get_value=options
  
  help, ev,  /structure,output = message1
  help, info,/structure,output = message2

  help, qubpath,output = message3 
  help, navpath,output = message4
  help, savpath,output = message5
  help, omgpath,output = message6
  help, options,output = message7
  
  message = [$
    'EVENT',message1,'', $
    'EVENT.TOP',message2,'', $
    message3,qubpath,'', $
    message4,navpath,'', $
    message5,savpath,'', $
    message6,omgpath,'', $
    message7,strtrim(options,2) ]
    
  hw_alpha_xdisplay, $
    title = info.program + ' - DEBUG',$
    text = message

end
