;+
;   
;    This program is free software: you can redistribute it and/or modify
;    it under the terms of the GNU Lesser General Public License as published
;    by the Free Software Foundation, either version 3 of the License, or
;    (at your option) any later version.
;
;    This program is distributed in the hope that it will be useful,
;    but WITHOUT ANY WARRANTY; without even the implied warranty of
;    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
;    GNU Lesser General Public License for more details.
;
;    You should have received a copy of the GNU Lesser General Public License
;    along with this program.  If not, see <http://www.gnu.org/licenses/>.
;
;-

;+
; v.20160627a
;-

pro hw_alpha_help,ev

  compile_opt idl2
  
  catch, theerror
  if theerror ne 0 then begin
   catch, /cancel
   message = !error_state.msg
   void = dialog_message(message, /error,/center)
   return
  endif 
  
  widget_control, ev.top, get_uvalue = info
    
  message = [ $
    '',$
    '----------------------------------------------------------------------------',$
    '',$
    'INTRODUCTION',$
    '',$
    'ALPHA is a GUI for the IDL ''SOFT10'' software published by the OMEGA',$
    'science team. The SOFTXX software is designed for batch processing',$
    'under UNIX/Linux. This IDL script adds a simple interactive GUI.',$
    '',$
    'The output of ALPHA consists of 5 images in ENVI format (binary file',$ 
    'with a separate ASCII header) and an ASCII file:',$
    '   <filename>_mola     - MOLA altitude data',$
    '   <filename>_lonlat   - LONLAT data for building a GLT',$
    '   <filename>_idat     - OMEGA raw data ',$
    '   <filename>_jdat     - OMEGA radiance data ',$
    '   <filename>_geocube  - Housekeeping data   ',$
    '   <filename>_specmars - Solar spectrum at data acquisition ',$
    '',$
    'The basename of the output files is taken from the OMEGA scene that is ',$
    'processed. For example, OMEGA scene "ORB0422_4" will result in filename',$
    '"ORB0442_4_jdat" for radiance data.',$
    '',$
    'RUNNING ALPHA',$
    '',$
    'In the GUI, you have to set the following paths:',$
    '',$
    ' - The path to an OMEGA .QUB file',$
    ' - The path to an OMEGA .NAV file (follows automatically the .QUB selection)',$
    ' - The path to the SOFTXX directory',$
    ' - The path to an output directory',$
    '',$
    'By default, ALPHA outputs the idat, jdat, alt and latlon files. The geocube',$ 
    'image and specmars ASCII file can be added by selection buttons, as can other',$
    'files be de-selected.',$
    '', $
    '-------------------------------------------------------------------------------------',$
    '' ]

  hw_alpha_xdisplay, $
    title = info.program + ' - Help',$
    text = message
     
end
