;+
;   
;    This program is free software: you can redistribute it and/or modify
;    it under the terms of the GNU Lesser General Public License as published
;    by the Free Software Foundation, either version 3 of the License, or
;    (at your option) any later version.
;
;    This program is distributed in the hope that it will be useful,
;    but WITHOUT ANY WARRANTY; without even the implied warranty of
;    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
;    GNU Lesser General Public License for more details.
;
;    You should have received a copy of the GNU Lesser General Public License
;    along with this program.  If not, see <http://www.gnu.org/licenses/>.
;
;-

;+
; v.20160627a
;-

;+
; WARNING: This one is extremely fragile.... :(
;-

pro hw_alpha_make  
 
  compile_opt idl2
  
  catch, theerror
  if theerror ne 0 then begin
    catch, /cancel
    void = dialog_message($
      !error_state.msg,$
      /error,$
      /center)
    return
  endif
 
  message = [$
    'This script compiles procedure hw_alpha_omega',$
    'which is depending on some SOFTXX routines' ]
  void = dialog_message($
      message,$
      /info,$
      /center)
 
  softpath = dialog_pickfile(/directory,/read,title='Please select the SOFT10 directory')
  if softpath eq '' then begin
    print, 'ERROR: Need SOFT09 procedures to compile AlphA. Exiting'
    return
  endif
    
  cd, current = current
  cd, softpath
  
  resolve_function = [$
    'offset_corr_050701',$
    'smear_corr_050701',$
    'ordcorr' ]
    
  resolve_procedure = [$
    'read_geolbl',$
    'readsize',$
    'readpart2',$ 
    'readcube' ]
    ; 'readpart' is for batch processing only
  
  unresolved = ''
  resolve_all, $
    resolve_function = resolve_function, $
    resolve_procedure = resolve_procedure, $
    unresolved = unresolved, $
    /continue_on_error,/quiet
    
  if unresolved[0] ne '' then begin
    message = [ $
      'ERROR: The following could not be resolved:',$
      unresolved ]
      void =  dialog_message($
      message,$
        /info,$
        /center)
      return
  endif 

  cd, current
  resolve_function = [$
    'hw_alpha_read_config',$
    'hw_alpha_config_dir']
  resolve_procedure = [$
    'hw_alpha_xdisplay',$
    'hw_alpha_help',$
    'hw_alpha_about',$
    'hw_alpha_license',$
    'hw_alpha_write_config',$
    'hw_alpha_envistart',$
    'hw_alpha_define_buttons',$
    'hw_alpha_save_binary',$
    'hw_alpha_save_header',$
    'hw_alpha_omega',$
    'hw_alpha_doit',$
    'hw_alpha']
    
  unresolved = ''
  resolve_all, $
    resolve_function = resolve_function, $
    resolve_procedure = resolve_procedure, $
    unresolved = unresolved, $
    /continue_on_error,/quiet

  if unresolved[0] ne '' then begin
    message = [ $
      'ERROR: The following could not be resolved:',$
      unresolved ]
      void =  dialog_message($
      message,$
        /info,$
        /center)
      return
  endif 

  save, $
    /routines, $
    filename = 'hw_alpha.sav'
  
  message = [$
    'Done. Now you can call run AlphA using:',$
    'IDL> hw_alpha' ]
  void = dialog_message($
      message,$
      /info,$
      /center)

end
