;+
;   
;    This program is free software: you can redistribute it and/or modify
;    it under the terms of the GNU Lesser General Public License as published
;    by the Free Software Foundation, either version 3 of the License, or
;    (at your option) any later version.
;
;    This program is distributed in the hope that it will be useful,
;    but WITHOUT ANY WARRANTY; without even the implied warranty of
;    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
;    GNU Lesser General Public License for more details.
;
;    You should have received a copy of the GNU Lesser General Public License
;    along with this program.  If not, see <http://www.gnu.org/licenses/>.
;
;-

;+
; v.20131101a
;-

function  hw_alpha_read_config, cnfpath

  compile_opt idl2,hidden
  
  ; get current directory
  cd, current = current
  
  cnfpath = cnfpath + path_sep() + 'config'
  
  default = { $
    cnfpath  : cnfpath, $                  ; config file path
    qubpath  : current, $                  ; OMEGA QUB path
    navpath  : current, $                  ; OMEGA NAV path
    omgpath  : current, $                  ; SOFTXX path
    savpath  : current, $                  ; OUTPUT path
    options  : ['1','1','1','1','0','0'] $ ; OUTPUT options
  }

  catch, theerror
  if theerror ne 0 then begin
    catch, /cancel
    void = dialog_message(!error_state.msg,/error,/center)
    close,/all
    return, default
  endif
 
  if file_test(cnfpath,/read) eq 1 then begin
    openr, lun, cnfpath, /get_lun
    
    ; dummy for config file
    dummy = ''
    readf, lun, dummy
    ; OMEGA QUB path
    qubpath = ''
    readf, lun, qubpath
    ; OMEGA NAV path
    navpath = ''
    readf, lun, navpath
    ; SOFTXX path
    omgpath = ''
    readf, lun, omgpath
    ; OUTPUT path
    savpath = ''
    readf, lun, savpath
    ; OUTPUT options
    options = ''
    readf, lun, options
    options = strsplit(options,/extract)
    
    free_lun, lun
  
    return, { $
      cnfpath : cnfpath, $
      qubpath : qubpath, $
      navpath : navpath, $
      omgpath : omgpath, $
      savpath : savpath, $
      options : long(options)  $
    }
  
  endif else return, default
  
end
